<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.test-case-workspace.dialog.title.choose-automation-test'
  "
>
  <sqtm-core-dialog-body>
    <div class="full-height full-width" style="overflow: hidden">
      <sqtm-core-grid></sqtm-core-grid>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [disabled]="disabled$ | async"
      [attr.data-test-dialog-button-id]="'choose'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="primary"
      (click)="chooseScript()"
    >
      {{ 'sqtm-core.generic.label.choose' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
